# ChainBreaker API
---
## _Help up hacking human trafficking using data_

ChainBreaker API is an open source python library that enable community users to login to ChainBreaker service and get and analyze data from thousand of sexual advertisements posted on internet. 

## Features
- Log into your account using your ChainBreaker credentials.
- Get glossary data about human trafficking
- Get keywords data commonly used by traffickers in different languages
- Get advertisment data from several sexual services websites around the globe
- Change your password or recover it in case you forgot it.

## Installation
To install chainbreaker_api, run:
```sh
pip install chainbreaker_api
```

## Usage
A good way to get started is to run the chainbreaker_api examples in Jupyter notebook. To to this, you first want to start a [Jupyter notebook](https://jupyter.org/) server: 

```sh
jupyter notebook
```
or
```sh
jupyter lab
```
From the notebook list page, navigate to the chainbreaker_api examples directory and open a notebook. Execute the code in a notebook cell by clicking on it and hitting Shift+Enter.

## Questions?
If you find a bug or you have a question, feel free to [open an issue](https://github.com/ChainBreakerCommunity/chainbreaker_api/issues). You can also contact by email: chainbreakerinfo@gmail.com.

## Getting access to ChainBreaker Service

Chainbreaker manage sensitive data that must be protected, that's why you need an account to access our databases. If you are a researcher associated with an academic institution and want to help us fighting human traffiking using data, please contact us to chainbreakerinfo@gmail.com using as email's subject: "Chainbreaker Reader Request". Make sure to explain your case and give us as much details as you can.

## Contributing

We work very hard every day in order to entablish better data pipelines for several sexual services websites, however, we have limited time and computational resources. If you want to help us improving ChainBreaker service please contact us to chainbreakerinfo@gmail.com using as emails's subject: "ChainBreaker Developer Request". Make sure to explain your case and give us as much details as you can.

## License

MIT

[//]: # (These are reference links used in the body of this note and get stripped out when the markdown processor does its job. There is no need to format nicely because it shouldn't be seen. Thanks SO - http://stackoverflow.com/questions/4823468/store-comments-in-markdown-syntax)

   [dill]: <https://github.com/joemccann/dillinger>